Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#61974 - [glib2] Segmentation fault (core dumped)

Attached to Project: Arch Linux
Opened by Doofen (Sangeppato) - Monday, 11 March 2019, 09:22 GMT
Last edited by Jan de Groot (JGC) - Sunday, 24 March 2019, 21:51 GMT
Task Type Bug Report
Category Packages: Core
Status Closed
Assigned To No-one
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 15
Private No

Details

Description:
With the latest glib2 version (2.60.0) the Gnome Settings (gnome-control-center) is impossible to launch if the "details" section was previously opened.
The given error is "Segmentation fault (core dumped)"

Additional info:
Package version(s): glib2 2.60.0
Link to thread: https://bbs.archlinux.org/viewtopic.php?pid=1836037#p1836037

Steps to reproduce:
Open Gnome settings, do to the "Details" section and close it. After that it will impossible to launch gnome-control-center
This task depends upon

Closed by  Jan de Groot (JGC)
Sunday, 24 March 2019, 21:51 GMT
Reason for closing:  Fixed
Comment by M. Edward (Ed) Borasky (znmeb) - Monday, 11 March 2019, 21:37 GMT
Is there a workaround? I've got this and it's really annoying.
Comment by Stanley Joyce (leafb) - Tuesday, 12 March 2019, 03:24 GMT
This is confirmed. The only workaround I know of at the moment is to downgrade (assuming you haven't cleared your pacman cache) to the previous version of glib2:

sudo pacman -U /var/cache/pacman/pkg/glib2-2.58.3-1-x86_64.pkg.tar.xz

And, for now, update your system with: sudo pacman -Syyu --ignore glib2
Comment by Camilo Schöningh (burton82) - Tuesday, 12 March 2019, 19:08 GMT Comment by crashbit (crashbit) - Tuesday, 12 March 2019, 19:30 GMT
Same problem:
Comment by loqs (loqs) - Wednesday, 13 March 2019, 15:43 GMT
Please try this patch for gnome-control-center the PKGBUILD also needs new dependency udisks2.
The patch is 2520aea647c8e0ce39b750b0758db8b770eafdcb without the changes to .gitlab-ci.yml which prevent using git cherry-pick.
Comment by loqs (loqs) - Wednesday, 13 March 2019, 18:42 GMT
Probably a cleaner approach download the diff then delete the hunk for .gitlab-ci.yml
Comment by David Roth (V1del) - Thursday, 14 March 2019, 12:27 GMT Comment by Tim Summerer (Summerer) - Thursday, 14 March 2019, 12:28 GMT
@loqs
I just installed the PKGBUILD that you provided last night after I fully updated my system with pacman -Syu.
Everything is running smoothly so far. I can now access the details page in gnome-control-center without any issues on glib2.60.

If there is any more information I can/should provide, please let me know.
Comment by Doofen (Sangeppato) - Thursday, 14 March 2019, 12:29 GMT Comment by loqs (loqs) - Thursday, 14 March 2019, 14:11 GMT
Upstream providing a solution for 3.30 makes things much simpler.
https://gitlab.gnome.org/GNOME/gnome-control-center/commit/26287234bd9152fbe95baa82b9d55b8064d789c2
can be cherry-picked or checked out which would also pick up three translation commits.
Comment by Dan Ziemba (zman0900) - Thursday, 14 March 2019, 21:59 GMT
As a temporary work-around, if you have opened the details section and can no longer start control-center, open dconf-editor and clear the "custom value" for the following key:

/org/gnome/control-center/last-panel
Comment by Doofen (Sangeppato) - Thursday, 14 March 2019, 22:02 GMT
I've modified the PKGBUILD to target the latest commit in the 3.30 branch: https://send.firefox.com/download/f3716be821/#vYwDdH_Xb80ZV_T5W3lTfA
If you prefer, here's the already built package: https://send.firefox.com/download/c3cb0ff5f0/#4nygqUeiYIDO9joccokqEA
However, it's better to build it yourself

Loading...